Nope... Rated 1 out of 5 stars

It's a miracle! - somebody got this add-on to work for them! It goes without saying it still doesn't work for most. (And does not work on FF11 either)

This review is for a previous version of the add-on (1.6.1-signed.1-signed). 

I use Geolocater 1.6 with FF11. Because I'm on Linux, Google Geolocation Service doesn't work. It's one reason of the Geolocater creation.

I have 4 geolocations created with Geolocater, wich I used on http://maps.google.fr or http://www.flickr.com/map/ .

Geolocater 1.5 has a bug on FF10 and 11, Geolocater 1.6 has been developped on FF10 and tested on FF11. If you would like to help, could you say what it doesn't work ?

Still does NOT work on FF9 Rated 1 out of 5 stars

No, GL 1.5 does NOT work with Firefox 9.0.1.

Tried on Vista and Win7.

It DOES NOT WORK.

This review is for a previous version of the add-on (1.5.1-signed.1-signed). 

An update is waiting for validation GL 1.6

Does not work on FF9 Rated 2 out of 5 stars

Description is incorrect; Still does *NOT* work on FF9. (1/21/12)

This review is for a previous version of the add-on (1.5.1-signed.1-signed). 

Geolocater 1.5 has been developped for FF9 and after, and testing on 9.0, 9.0.1 and 10.0.0

Which addons are also installed, on which OS do you use Firefox ?